- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Signals | Public Member Functions | Static Public Member Functions | Protected Member Functions | Properties

# QFontDialog Class Reference

Search for all occurrences

## Detailed Description

Definition at line 59 of file qfontdialog.h.

`#include <qfontdialog.h>`

Inheritance diagram for QFontDialog:
[legend]

List of all members.

## Public Types
enum | FontDialogOption { NoButtons = 0x00000001, DontUseNativeDialog = 0x00000002 }
## Signals
void | currentFontChanged (const QFont &font)
void | fontSelected (const QFont &font)
## Public Member Functions
| QFontDialog (QWidget *parent=0)
| QFontDialog (const QFont &initial, QWidget *parent=0)
| ~QFontDialog ()
void | setCurrentFont (const QFont &font)
QFont | currentFont () const
QFont | selectedFont () const
void | setOption (FontDialogOption option, bool on=true)
bool | testOption (FontDialogOption option) const
void | setOptions (FontDialogOptions options)
FontDialogOptions | options () const
void | open (QObject *receiver, const char *member)
void | setVisible (bool visible)
## Static Public Member Functions
static QFont | getFont (bool *ok, const QFont &initial, QWidget *parent, const QString &title, FontDialogOptions options)
static QFont | getFont (bool *ok, const QFont &initial, QWidget *parent, const QString &title)
static QFont | getFont (bool *ok, const QFont &initial, QWidget *parent=0)
static QFont | getFont (bool *ok, QWidget *parent=0)
## Protected Member Functions
void | changeEvent (QEvent *event)
void | done (int result)
## Properties
QFont | currentFont
FontDialogOptions | options

## Member Enumeration Documentation

enum FontDialogOption

Search for all occurrences

Enumerator:

  NoButtons | Search for all occurrences
  DontUseNativeDialog | Search for all occurrences

Definition at line 68 of file qfontdialog.h.

                              {
            NoButtons           = 0x00000001,
            DontUseNativeDialog = 0x00000002
        };

## Constructor & Destructor Documentation

QFontDialog | ( | QWidget * | parent = `0` | ) | `[explicit]`

QFontDialog | ( | const QFont & | initial,
|  | QWidget * | parent = `0`
| ) |  | `[explicit]`

~QFontDialog | ( |  | ) |

## Member Function Documentation

void setCurrentFont | ( | const QFont & | font | ) |

Search for all occurrences

QFont currentFont | ( |  | ) | const

Search for all occurrences

QFont selectedFont | ( |  | ) | const

Search for all occurrences

void setOption | ( | FontDialogOption | option,
|  | bool | on = `true`
| ) |  |

Search for all occurrences

bool testOption | ( | FontDialogOption | option | ) | const

Search for all occurrences

void setOptions | ( | FontDialogOptions | options | ) |

Search for all occurrences

FontDialogOptions options | ( |  | ) | const

Search for all occurrences

void open | ( | QObject * | receiver,
|  | const char * | member
| ) |  |

Search for all occurrences

void setVisible | ( | bool | visible | ) | `[virtual]`

Search for all occurrences

Reimplemented from QDialog.

static QFont getFont | ( | bool * | ok,
|  | const QFont & | initial,
|  | QWidget * | parent,
|  | const QString & | title,
|  | FontDialogOptions | options
| ) |  | `[static]`

Search for all occurrences

static QFont getFont | ( | bool * | ok,
|  | const QFont & | initial,
|  | QWidget * | parent,
|  | const QString & | title
| ) |  | `[static]`

Search for all occurrences

static QFont getFont | ( | bool * | ok,
|  | const QFont & | initial,
|  | QWidget * | parent = `0`
| ) |  | `[static]`

Search for all occurrences

static QFont getFont | ( | bool * | ok,
|  | QWidget * | parent = `0`
| ) |  | `[static]`

Search for all occurrences

void currentFontChanged | ( | const QFont & | font | ) | `[signal]`

Search for all occurrences

void fontSelected | ( | const QFont & | font | ) | `[signal]`

Search for all occurrences

void changeEvent | ( | QEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void done | ( | int | result | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QDialog.

## Property Documentation

QFont currentFont `[read, write]`

Search for all occurrences

Definition at line 64 of file qfontdialog.h.

FontDialogOptions options `[read, write]`

Search for all occurrences

Definition at line 65 of file qfontdialog.h.

The documentation for this class was generated from the following file:

- QtGui/qfontdialog.h

QFontDialog QFontDialog QFontDialog QFontDialog QFontDialog QFontDialog QFontDialog QFontDialog QFontDialog QFontDialog
QFontDialog QFontDialog QFontDialog QFontDialog QFontDialog QFontDialog QFontDialog QFontDialog QFontDialog QFontDialog